// AjudLDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudLDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudLDlg dialog


CAjudLDlg::CAjudLDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudLDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudLDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudLDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudLDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudLDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudLDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudLDlg message handlers

BOOL CAjudLDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	
	   // tenta carregar bitmaps
	if ( ! m_oBmp.LoadBitmaps ( _T ( "BMP_POLUICAO" ), NULL, NULL ) ||
        ! m_oBmpEx.LoadBitmaps ( _T ( "BMP_EXPOLUICAO" ), NULL, NULL )) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_PLANTA, this ) );
	VERIFY ( m_oBmpEx.SubclassDlgItem ( IDC_AJUDA_EXPLANTA, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmp.SizeToContent ();
	m_oBmpEx.SizeToContent ();

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
